Skip to main content
PATCH
/
deliveryNotes
/
packages
/
{packageId}
Patch Package Data
curl --request PATCH \
  --url https://api.jtl-cloud.com/erp/deliveryNotes/packages/{packageId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "TrackingID": "JJD0099999999",
  "ShippedDate": "2023-02-01T12:45:00.0000000+00:00",
  "Comment": "Shipping Comment"
}
'
{
  "Id": 123,
  "PackageDate": "2023-02-01T12:45:00.0000000+00:00",
  "TrackingID": "JJD0099999999",
  "Weights": 5,
  "ShippingMethodId": 123,
  "ShippedDate": "2023-02-01T12:45:00.0000000+00:00",
  "TrackingUrl": "https://nolp.dhl.de/nextt-online-public/set_identcodes.do?lang=de&idc=JJD0099999999",
  "Comment": "Shipping Comment"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

x-api-key
string
header
required

Optional: If no token is present, the API Gateway injects it.

Headers

api-version
string

Specify the desired API version, e.g. '1.0'. If not provided, the last available version is set.

x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

packageId
string
required

Body

application/json

The Package to update

Model Class: UpdateDeliveryNotePackagePosting

TrackingID
string
required

The tracking Id of the package.

Example:

"JJD0099999999"

ShippedDate
string<date-time>
Example:

"2023-02-01T12:45:00.0000000+00:00"

Comment
string
Example:

"Shipping Comment"

Response

Returns the package that are created for the delivery note.

Model Class: DeliveryNotePackage

Id
integer<int32>
required
PackageDate
string<date-time>
required

The date when the package was created.

Example:

"2023-02-01T12:45:00.0000000+00:00"

TrackingID
string
required

The tracking Id of the package.

Example:

"JJD0099999999"

Weights
number<decimal>
required

The weight of the package.

Example:

5

ShippingMethodId
integer<int32>
required
ShippedDate
string<date-time>
required

The date when the package was shipped.

Example:

"2023-02-01T12:45:00.0000000+00:00"

TrackingUrl
string
required

The tracking url of the package.

Example:

"https://nolp.dhl.de/nextt-online-public/set_identcodes.do?lang=de&idc=JJD0099999999"

Comment
string
required

The comment of the package.

Example:

"Shipping Comment"